summaryrefslogtreecommitdiffstats
path: root/deps/strigi
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2014-12-22 15:03:24 +0100
committer Eric Hameleers <alien@slackware.com>2014-12-22 15:03:24 +0100
commit270c1ba7053478dbd1c632eea18d6e54d51e4ecc (patch)
tree4e25b7466faf321a1a1fe7e90ce182afdd5ef9dd /deps/strigi
parent290362d91d840ad6feed5b59191a058f5e998d3c (diff)
downloadktown-270c1ba7053478dbd1c632eea18d6e54d51e4ecc.tar.gz
ktown-270c1ba7053478dbd1c632eea18d6e54d51e4ecc.tar.xz
KDE 4.7.4 for Slackware 13.37 (06dec2011)4.7.4
Diffstat (limited to 'deps/strigi')
-rw-r--r--deps/strigi/README17
-rw-r--r--deps/strigi/slack-desc19
-rwxr-xr-xdeps/strigi/strigi.SlackBuild115
-rw-r--r--deps/strigi/strigi.info4
-rw-r--r--deps/strigi/strigi.libstreamanalyzer.pdf.patch27
5 files changed, 182 insertions, 0 deletions
diff --git a/deps/strigi/README b/deps/strigi/README
new file mode 100644
index 0000000..218e8ce
--- /dev/null
+++ b/deps/strigi/README
@@ -0,0 +1,17 @@
+trueg's blog,
+http://trueg.wordpress.com/2011/09/22/about-strigi-soprano-virtuoso-clucene-and-libstreamanalyzer/
+
+recommends using a newer libstreamanalyzer (and friends) than what is currently formally released.
+
+I ran the script
+https://projects.kde.org/projects/kdesupport/strigi/strigi/repository/revisions/master/changes/createtararchive.sh
+to generate a tarball, and am hosting it at:
+
+http://rdieter.fedorapeople.org/strigi/strigi-0.7.6.tar.bz2
+http://rdieter.fedorapeople.org/strigi/strigi-0.7.6.tar.bz2.md5sum
+http://rdieter.fedorapeople.org/strigi/strigi-0.7.6.tar.bz2.sha1sum
+
+for others' convenience.
+
+-- rex
+
diff --git a/deps/strigi/slack-desc b/deps/strigi/slack-desc
new file mode 100644
index 0000000..16dda7e
--- /dev/null
+++ b/deps/strigi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+strigi: strigi (fast and light desktop search engine)
+strigi:
+strigi: Strigi is a fast and light desktop search engine. It can handle a
+strigi: large range of file formats such as emails, office documents, media
+strigi: files, and file archives. It can index files that are embedded in
+strigi: other files. This means email attachments and files in zip files
+strigi: are searchable as if they were normal files on your harddisk.
+strigi:
+strigi: Homepage: http://strigi.sourceforge.net/
+strigi:
+strigi:
diff --git a/deps/strigi/strigi.SlackBuild b/deps/strigi/strigi.SlackBuild
new file mode 100755
index 0000000..110f0eb
--- /dev/null
+++ b/deps/strigi/strigi.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+# Copyright 2007-2008 Robby Workman, Northport, Alabama, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=strigi
+VERSION=${VERSION:-$(echo ${PKGNAM}-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+NUMJOBS=${NUMJOBS:--j6}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+# Patch for https://bugs.kde.org/281088
+# - kfilemetadatareader crashes when hovering a PDF in dolphin:
+cat $CWD/strigi.libstreamanalyzer.pdf.patch | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/qt \
+ PATH=$QTDIR/bin:$PATH \
+ cmake \
+ -DENABLE_INOTIFY:BOOL=ON \
+ -DENABLE_DBUS:BOOL=ON \
+ -DENABLE_EXPAT:BOOL=ON \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING NEWS README TODO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/strigi/strigi.info b/deps/strigi/strigi.info
new file mode 100644
index 0000000..2301f49
--- /dev/null
+++ b/deps/strigi/strigi.info
@@ -0,0 +1,4 @@
+PRGNAM="strigi"
+VERSION="0.5.9"
+HOMEPAGE="http://strigi.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/strigi/strigi-0.5.9.tar.bz2"
diff --git a/deps/strigi/strigi.libstreamanalyzer.pdf.patch b/deps/strigi/strigi.libstreamanalyzer.pdf.patch
new file mode 100644
index 0000000..f212523
--- /dev/null
+++ b/deps/strigi/strigi.libstreamanalyzer.pdf.patch
@@ -0,0 +1,27 @@
+commit 23d5ce636b7897dc3f233a5293f3164dac50566d
+Author: Jos van den Oever <jos@vandenoever.info>
+Date: Sun Jul 31 12:32:44 2011 +0200
+
+ Revert patch that breaks parsing of PDF files.
+ The offending patch was 672c8b7b3cb4400bc505421f4cc70cf742ed9df0.
+
+diff --git a/libstreamanalyzer/lib/pdf/pdfparser.cpp b/libstreamanalyzer/lib/pdf/pdfparser.cpp
+index c27f691..df2f7e5 100644
+--- a/libstreamanalyzer/lib/pdf/pdfparser.cpp
++++ b/libstreamanalyzer/lib/pdf/pdfparser.cpp
+@@ -34,12 +34,13 @@ StreamStatus
+ PdfParser::read(int32_t min, int32_t max) {
+ int32_t off = (int32_t)(pos-start);
+ int32_t d = (int32_t)(stream->position() - bufferStart);
+- bufferStart += off;
++ min += d;
++ if (max > 0) max += d;
+ stream->reset(bufferStart);
+ int32_t n = stream->read(start, min, max);
+ // printf("objstart %i %i\n", d, n);
+ if (n < min) return stream->status();
+- pos = start;
++ pos = start + off;
+ end = start + n;
+ return Ok;
+ }